// 002 u_c_dot_net_log
// 13 jan 2006

// -- (C) Felix John COLIBRI 2004
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_c_dot_net_log;
  interface
    uses // Classes
          u_c_dot_net_basic_object
         ;

    type c_log= Class(c_basic_object)
                  m_full_file_name: System.String;
                  Constructor create_log(p_name, p_full_file_name: System.String);
                  procedure write_to_log(p_text: System.String);
                end; // c_log

  implementation
    Uses
       system.io
       ;

    // -- c_log

    Constructor c_log.create_log(p_name, p_full_file_name: System.String);
      var l_c_stream: System.Io.FileStream;
      begin
        Inherited create_basic_object(p_name);

        m_full_file_name:= p_full_file_name;

        // -- create an empty file
        l_c_stream:= FileStream.Create(p_full_file_name,
          FileMode.Create, FileAccess.Write);
        l_c_stream.Close();
      end; // create_log

    procedure c_log.write_to_log(p_text: System.String);
      var l_c_stream: System.Io.FileStream;
          l_c_stream_writer: StreamWriter;
      begin
        l_c_stream:= FileStream.Create(m_full_file_name,
          FileMode.Open, FileAccess.Write);

        l_c_stream_writer:= StreamWriter.Create(l_c_stream);
        l_c_stream_writer.BaseStream.Seek(0, SeekOrigin.End);
        l_c_stream_writer.WriteLine(p_text);
        l_c_stream_writer.Close;

        l_c_stream.Close;
      end; // write_to_log

  end.


